Search Results

Search found 10789 results on 432 pages for 'ui scripting'.

Page 332/432 | < Previous Page | 328 329 330 331 332 333 334 335 336 337 338 339  | Next Page >

  • Problems with list<T> in Asp.Net c#

    - by Johnathan Nardia
    I'm making a web app in Asp.Net using c# that lets you add items into the list. My problem is that each time that i click the button to add a new item into the list , its just shows me the last item and the list counter shows me only 1 . What am I doing wrong?? Here is the code : public partial class home : System.Web.UI.Page { List<string> messageboxs = new List<string>(); public string val = ""; public string data = ""; protected void Button1_Click(object sender, EventArgs e) { val = ""; messageboxs.Add(text1.Text); ListBox1.DataSource = messageboxs; ListBox1.DataBind(); val = messageboxs.Count.ToString(); } }

    Read the article

  • Powershell $LastExitCode=0 but $?=False . Redirecting stderr to stdout gives NativeCommandError

    - by Colonel Panic
    Can anyone explain Powershell's surprising behaviour in the second example below? First, a example of sane behaviour: PS C:\> & cmd /c "echo Hello from standard error 1>&2"; echo "`$LastExitCode=$LastExitCode and `$?=$?" Hello from standard error $LastExitCode=0 and $?=True No surprises. I print a message to standard error (using cmd's echo). I inspect the variables $? and $LastExitCode. They equal to True and 0 respectively, as expected. However, if I ask Powershell to redirect standard error to standard output over the first command, I get a NativeCommandError: PS C:\> & cmd /c "echo Hello from standard error 1>&2" 2>&1; echo "`$LastExitCode=$LastExitCode and `$?=$?" cmd.exe : Hello from standard error At line:1 char:4 + cmd <<<< /c "echo Hello from standard error 1>&2" 2>&1; echo "`$LastExitCode=$LastExitCode and `$?=$?" + CategoryInfo : NotSpecified: (Hello from standard error :String) [], RemoteException + FullyQualifiedErrorId : NativeCommandError $LastExitCode=0 and $?=False My first question, why the NativeCommandError ? Secondly, why is $? False when cmd ran successfully and $LastExitCode is 0? Powershell's docs about_Automatic_Variables don't explicitly define $?. I always supposed it is True if and only if $LastExitCode is 0 but my example contradicts that. Here's how I came across this behaviour in the real-world (simplified). It really is FUBAR. I was calling one Powershell script from another. The inner script: cmd /c "echo Hello from standard error 1>&2" if (! $?) { echo "Job failed. Sending email.." exit 1 } # do something else Running this simply .\job.ps1, it works fine, no email is sent. However, I was calling it from another Powershell script, logging to a file .\job.ps1 2>&1 > log.txt. In this case, an email is sent! Here, the act of observing a phenomenon changes its outcome. This feels like quantum physics rather than scripting! [Interestingly: .\job.ps1 2>&1 may or not blow up depending on where you run it]

    Read the article

  • QML 5.3 iOS compilation of pure QML app

    - by Nathaniel Johnson
    I have an application written in QML. Initially, I used the standard C++ bootstrap for the app. int main(int argc, char *argv[]) { QApplication app(argc, argv); // A bunch of components and data models written in C++ QQmlApplicationEngine engine; engine.load(QUrl(QStringLiteral("qrc:///main.qml"))); return app.exec(); } The bulk of the app is in QML and the more I work with QML, the happier I am with it and the more I feel comfortable converting the C++ pieces to QML. So, it comes to one risk that I wanted to ask about. If I convert the app to a pure QML application like the kind generated by the Qt Quick UI application wizard with no C++ and designed to be run with qmlscene will I be able to compile it for iOS when the time to port it comes or will I end up just converting it back to the C++ loader form? TL;DR Can pure QML (no C++) apps be compiled and run on iOS devices?

    Read the article

  • Silverlight 5 App Crashing

    - by bbagfh
    I have a silverlight 5 app that makes some WCF requests. When the silverlight app is hosted locally on an IIS 7.5 server it works fine, but when I run it from a remote IIS6 box there are issues. The app loads fine and presents the login UI. After trying to log in, a couple WCF service calls are made (successfully), but the response causes silverlight to stop responding and the browser eventually asks to kill the non-responsive silverlight app. I am mostly confused because it works fine in IIS 7.5 Note that I am accessing the same WCF services hosted on a remote box in both instances, and both times I am getting successful responses. It is only in IIS6 that the app becomes non-responsive.

    Read the article

  • How to call method written in C# class library from Silver light application(xaml.cs file) ?

    - by Shyju
    Can a xaml.cs file call the method in a c# class library ? I am trying to add a Silver light control to my Existing ASP.NET project where i used to add reference to my BL Project and acces methods of BL from My UI pages of ASP.NET Web application.Now i have added one Silver light project to my solution.How can i use the already existing BL method which is in a C# class library ? When tried to add reference, it is saying that "You can only add project reference to other silver light projects in the solution". Should i give up ? Is there any way to get rid of this ?

    Read the article

  • In an ASP.NET Web Site Project, what is the best option to manage modular widgets

    - by Juan Sagasti
    We are creating a modular Web Site Project and all the UI is based on simple html pages with javascript widgets. These widgets obtain the data from a WCF class located in the app_code folder. Each widget has 3 files [ js, css , cs] and an image directory: , and we want all these files to be located under the same directory, say: /widgets/mywidget/ The problem is that the .cs file needs to be in the app_code folder to be compiled dynamically and that would break our widget modularity forcing the installator to distribute the widget code in two places. One of the options is use compiled assemblies instead of .cs files and use Assembly.Load() or smthg similar to load them when needed. What other options do you see?

    Read the article

  • What is a good platform for building a game framework targetting both web and native languages?

    - by fuzzyTew
    I would like to develop (or find, if one is already in development) a framework with support for accelerated graphics and sound built on a system flexible enough to compile to the following: native ppc/x86/x86_64/arm binaries or a language which compiles to them javascript actionscript bytecode or a language which compiles to it (actionscript 3, haxe) optionally java I imagine, for example, creating an API where I can open windows and make OpenGL-like calls and the framework maps this in a relatively efficient manner to either WebGL with a canvas object, 3d graphics in Flash, OpenGL ES 2 with EGL, or desktop OpenGL in an X11, Windows, or Cocoa window. I have so far looked into these avenues: Building the game library in haXe Pros: Targets exist for php, javascript, actionscript bytecode, c++ High level, object oriented language Cons: No support for finally{} blocks or destructors, making resource cleanup difficult C++ target does not allow room for producing highly optimized libraries -- the foreign function interface requires all primitive types be boxed in a wrapper object, as if writing bindings for a scripting language; these feel unideal for real-time graphics and audio, especially exporting low-level functions. Doesn't seem quite yet mature Using the C preprocessor to create a translator, writing programs entirely with macros Pros: CPP is widespread and simple to use Cons: This is an arduous task and probably the wrong tool for the job CPP implementations differ widely in support for features (e.g. xcode cpp has no variadic macros despite claiming C99 compliance) There is little-to-no room for optimization in this route Using llvm's support for multiple backends to target c/c++ to web languages Pros: Can code in c/c++ LLVM is a very mature highly optimizing compiler performing e.g. global inlining Targets exist for actionscript (alchemy) and javascript (emscripten) Cons: Actionscript target is closed source, unmaintained, and buggy. Javascript targets do not use features of HTML5 for appropriate optimization (e.g. linear memory with typed arrays) and are immature An LLVM target must convert from low-level bytecode, so high-level constructs are lost and bloated unreadable code is created from translating individual instructions, which may be more difficult for an unprepared JIT to optimize. "jump" instructions cause problems for languages with no "goto" statements. Using libclang to write a translator from C/C++ to web languages Pros: A beautiful parsing library providing easy access to the code structure Can code in C/C++ Has sponsored developer effort from Apple Cons: Incomplete; current feature set targets IDEs. Basic operators are unexposed and must be manually parsed from the returned AST element to be identified. Translating code prior to compilation may forgo optimizations assumed in c/c++ such as inlining. Creating new code generators for clang to translate into web languages Pros: Can code in C/C++ as libclang Cons: There is no API; code structure is unstable A much larger job than using libclang; the innards of clang are complex Building the game library in Common Lisp Pros: Flexible, ancient, well-developed language Extensive introspection should ease writing translators Translators exist for at least javascript Cons: Unfamiliar language No standardized library functions, widely varying implementations Which of these avenues should I pursue? Do you know of any others, or any systems that might be useful? Does a general project like this exist somewhere already? Thank you for any input.

    Read the article

  • How to add a TabBar to NavigationController based iPhone app

    - by Alex
    I have a simple NavigationController based app. The main window shows a TableView and selecting an item loads a sub-view. I used Interface Builder for UI views. Now I want to add a TabBar to the app. Where do I put it? Do I need a TabBarController? Should it go in the MainWindow.xib, or RootViewController.xib? How do I tie it together with my NavigationController?

    Read the article

  • Adding a row to an existing datatable in JSF

    - by shyamb
    Hi, I have a requirement of changing an existing JSF 1.1 project where I need to add an additional row to a datatable on click of a button. Currently the datatable loads 3 rows from the backing bean and this new button should add additional rows to the datatable on each click. Using the suggestion provided by http://balusc.blogspot.com/2006/06/using-datatables.html I was able to display the additional row on the UI but I could not save the new data back to the database because the backing bean is in request scope and I cannot change the scope of this bean as it would create other issues. Can somebody provide me a solution to display the new row and also to save the data back to the database when the backing bean is in request scope. Thanks Shyam

    Read the article

  • Unlock a file with unlocker from a WinForms App?

    - by netadictos
    I am trying to unlock a file from a C# program, using unlocker. In my UI, I put a button to unlock the file the app couldn't delete. When the user pushes the button, I want unlocker (the famous app) to be opened. I have read about in the Unlocker web, and there is some explanations about the commandline to use but nothing works. I write the following code but nothing happens: "c:\Program Files\unlocker\unlocker.exe" -L "PATHFORTHEFILE.doc" Nothing happens. I have tried without parameters and with -LU. Any idea? Something more efficient than unlocker to integrate it with software?

    Read the article

  • JavaScript and PHP filename coding conventions

    - by Tower
    Hi, I would like to know the popular ways of naming files in JavaScript and PHP development. I am working on a JS+PHP system, and I do not know how to name my files. Currently I do for JS: framework/ framework/widget/ framework/widget/TextField.js (Framework.widget.TextField()) Framework.js (Framework()) So, my folders are lowercase and objects CamelCase, but what should I do when the folder/namespace requires more than one word? And what about PHP? jQuery seems to follow: jquery.js jquery.ui.js jquery.plugin-name.js so that it is jquery(\.[a-z0-9-])*\.js but ExtJS follows completely different approach. Douglas Crockford only gives us details about his preference for syntax conventions.

    Read the article

  • How can I prevent my Android app/service from being "killed" from a task manager?

    - by Don
    It is very important that my service stay running until someone with a password stops the service from my UI screen. My app runs great but it is designed to be turned on/off by parents (with a password) on their kids phones. I have managed to make everything work but the problem I'm having is that if the kid uses a task manager to kill my service then my app is useless. I would be grateful to anyone who knows a way to either 1) monitor the service and start it back up automatically if its "killed" or 2) prevent someone from being able to kill it except from the activity (administration screen) that launched the service. Or both? I'm sorry if I'm not very clear in describing the problem, I'm a beginner. I've made great progress so far but I am stuck at this last hurdle.

    Read the article

  • Ember multiple property changes but want to trigger single event

    - by Ankur Agarwal
    I have a ArrayController for date picker with properties to and from. Now when user selects a new date range from the UI both to and from value changes. So a function which observers on to and from is trigger twice for a single change in date range. I want to trigger the function only one every date range change. Any suggestions how to do that with ember app = Ember.Application.create(); app.Time = Ember.ArrayController.create({ to: null, from: null, rootElement: "#time", debug1: function() { this.set('to', 1); this.set('from', 2); }, debug2: function() { this.setProperties( { 'to': 3, 'from': 4 }); }, debug3: function() { this.beginPropertyChanges(); this.set('to', 5); this.set('from', 6); this.endPropertyChanges(); }, search: function() { alert('called'); }.observes('to', 'from') }); View in JS Fiddle

    Read the article

  • DataContext Refresh and PropertyChanging & PropertyChanged Events

    - by Scott
    I'm in a situation where I am being informed from an outside source that a particular entity has been altered outside my current datacontext. I'm able to find the entity and call refresh like so MyDataContext.Refresh(RefreshMode.OverwriteCurrentValues, myEntity); and the properties which have been altered on the entity are updated correctly. However neither of the INotifyPropertyChanging INotifyPropertyChanged appear to be raised when the refresh occurs and this leaves my UI displaying incorrect information. I'm aware that Refresh() fails to use the correct property getters and setters on the entity to raise the change notification events, but perhaps there is another way to accomplish the same thing? Am I doing something wrong? Is there a better method than Refresh? If Refresh is the only option, does anyone have a work around?

    Read the article

  • Approaches to wrapping access to functionality in .NET MVC?

    - by Kevin
    What are some different solutions to wrapping access to functionality within a .NET MVC application? For example, I have six tabs that represent different areas of the application and within area 1, there is the ability to add, edit, upload, whatever. I need a central way to say: Build some dictionary of what the user can do Wrap tabs, buttons, links, etc, validate the user can access this piece of functionality and show/hide appropriately. I know I can restrict access to actions via action filters and roles, but what about from the UI? Any help would be appreciated. I am sure I am not the only one who has needed to do this, thanks!

    Read the article

  • Any really modern, good-looking desktop apps that are developed with PyQt/PySide?

    - by Edwin
    Hi, I have started using Python for web development recently, it's kinda cool; I have seen programs that are developed in QT/C++, which is good enough in terms of esthetics; I have just noticed the new PySide project (which brings LGPL Qt license to Python and it doesn't support Windows yet). In view of the above, I see the possibility of using Python + PyQt/PySide to develop cross platform apps in the future :) but I have several doubts right now: Can PyQty/PySide be used to develop really complex/modern UI? Can somebody give me some points to have a look at some nice-looking screenshots of apps that are developed in Python+QT? What about the performance? Thanks in advance!

    Read the article

  • Clustered index dilemma - ID or sort?

    - by richardtallent
    I have a table with two very important fields: id INT identity(1,1) PRIMARY KEY identifiersortcode VARCHAR(900) My app always sorts and pages search results in the UI based on identifiersortcode, but all table joins (and they are legion) are on the id field. (Aside: yes, the sort code really is that long. There's a strong BL reason.) Also, due to O/RM use, most SELECT statements are going to pull almost every column. Currently, the clustered index is on id, but I'm wondering if the TOP / ORDER BY portion of most queries would make identifiersortcode a more attractive option as the clustered key, even considering all of the table joins going on. Inserts on the table and changes to the identifiersortcode are limited enough that changing my clustered index would be a problem for insert/update operations. Trying to make the sort code's non-clustered index a covering index (using INCLUDE) is not a good option. There are a number of large columns, and some of them have a lot of update activity.

    Read the article

  • sharing web user controls across projects.

    - by Kyle
    I've done this using a regular .cs file that just extends System.Web.UI.UserControl and then included the assembly of the project that contains the control into other projects. I've also created .ascx files in one project then copied all ascx files from a specified folder in the properties-Build Events-Pre-build event. Now what I want to do is a combination of those two: I want to be able to use ascx files that I build in one project, in all of my other projects but I want to include them just using assembly references rather than having to copy them to my "secondary" projects as that seems a ghetto way to accomplish what I want to do. It works yes, but it's not very elegant. Can anyone let me know if this even possible, and if so, what the best way to approach this is?

    Read the article

  • iPad/iPhone: Form filling application pointers

    - by raj.tiwari
    Folks, I am starting work on an iPad/iPhone application that is essentially a form-filing UI. The requirement is to present a (rather large) form to the user. The form is composed of sections and questions, like so: Form Question 0.1 Question 0.2 Section 1 Question 1.1 etc. The user can take various paths down the form based on answers to questions. I would like to architect this by defining a declarative markup that can be used to author the form questionnaire including traversal rules. My questions are: Can anyone recommend a markup/language that would satisfy the declaration requirement? Is there any existing library that would ease the implementation as described above? Thanks for your time.

    Read the article

  • Console-like control that allows full control over individual text formatting

    - by Rich.Carpenter
    I'm tinkering with writing a simple text-based role-playing game. I would like to use WinForms, and utilize WinForm controls for the UI and simple text for the output. The catch is, I would like to have complete control over the formatting of the individual text - some words being different colors, etc. A simple console control would suffice, as that would provide control over text colors, but it would be nice to also be able to change style, font and size. Less important: it would be nice to have complete control over where text appears in the control through a coordinate system, as with DOS windows of old. I'd appreciate suggestions on the best method of implementing this. Perhaps there is a better method I had not considered for rendering the output of a text-based game.

    Read the article

  • Eclipe PDE: Jump to line X and highlight it

    - by autobiographer
    A qustion about Eclipse PDE development: I write a small plugin for Eclipse and have the following * an org.eclipse.ui.texteditor.ITextEditor * a line number How can I automatically jump to that line and mark it? It's a pity that the API seems only to support offsets within the document but no line numbers. The best would be: ITextEditor editor = (ITextEditor)IDE.openEditor(PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage(), file, true ); editor.goto(line); editor.markLine(line); It this possible in some way? I did not find a solution

    Read the article

  • Iphone video subtitles programmatic selection

    - by Marek
    I have some videos (mp4) with multiple language subtitles that can be read by an iphone. Users can select to view the subtitle and the language from the default iphone button in the video ui. I would like to be able to set a defalut programmatically, so that, for instance, an user can select a language just one time in the main screen and, from then on, all the videos will have that language subtitles on by default. I can't find anything in the official documentation. I tought about some workarounds like renaming srt files but i don't think it's possible witouht copying all the video files in the user documents dir (not an option).

    Read the article

  • Gson module not found Blackberry Java application

    - by Curro
    Hi. I'm developing a simple application for Blackberry and i'm using Google's gson to retrieve some data from a server. The UI was working fine but when I added the gson part it started failing, it wont run. When I run the application in the simulator it show this error: "Uncaught: RuntimeException" on that annoying white screen of death and after holding the click button I can see that there is an alert dialog that says "Module 'gson-1.4' not found". However I did added "gson-1.4.jar" in the Project's Properties - Java Build Path - Add External JARs... also, the Gson objects are recognized at my code, no syntax errors at my code. BTW, I'm using Eclipse and the most recent Blackberry SDK Please help

    Read the article

  • Sending Tasks using an offline Outlook

    - by ASV
    Hi All, I've a scenario wherein I need to send/assign tasks from my browser UI to the concerned. This should happen with Outlook being offline (or for that matter outlook not even configured on the terminal) so that the user can be accessing a workflow from any terminal (using his/her AD credentials) and if required should have the ability to send a task to the concerned without having to return to his own terminal to be able to do so. I envision that the user's credentials should be used to look up the AD for his/her email ID and send a task using the same from anywhere in the intranet. Using Outlook object library I have been able to assign/send tasks, but with the Outlook being fired up and not otherwise. Redemption does the sync of contacts while Outlook is offline but not tasks. Kindly help if anybody has had a chance to do something similar. Thanks in advance.

    Read the article

  • System.Drawing.Image for Images in Business Objects?

    - by Mudu
    Hi Folks I'd like to store an image in a business object. In MSDN I saw that the System.Drawing-namespace provides lots of GDI+-features, etc. Is it okay to store an Image in an System.Drawing.Image class in business layer (which is a class library "only"), and thus including a reference to System.Drawing too? I slightly feel just kind of bad doing that, 'cause it seems like I have UI-specific references in business code. Moreover, the code could become unnecessarily platform-dependant (though this is only a problem in theory, because we do not develop for multiple platforms). If it isn't right that way, which type would fit best? Thank you for any response! Matthias

    Read the article

< Previous Page | 328 329 330 331 332 333 334 335 336 337 338 339  | Next Page >